summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Huemer <alexander.huemer@sbg.ac.at>2009-06-24 23:36:59 +0200
committerAlexander Huemer <alexander.huemer@sbg.ac.at>2009-06-24 23:36:59 +0200
commit84ff7de3ffd9d353e8ffea6e7afe5a6f5f458297 (patch)
tree0e2a255cb8ed1d01e1eafce51119da8f9cd2290c /media-libs
parentbumped net-libs/libproxy to latest ~ (0.2.3-r1) (diff)
downloadmultilib-portage-84ff7de3ffd9d353e8ffea6e7afe5a6f5f458297.tar.gz
multilib-portage-84ff7de3ffd9d353e8ffea6e7afe5a6f5f458297.tar.bz2
multilib-portage-84ff7de3ffd9d353e8ffea6e7afe5a6f5f458297.zip
bumped media-libs/mesa to latest ~ (7.4.4)
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/mesa/Manifest2
-rw-r--r--media-libs/mesa/mesa-7.4.4.ebuild276
2 files changed, 278 insertions, 0 deletions
diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index 58b9dd641..b2992f137 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -8,6 +8,7 @@ DIST MesaLib-7.3.tar.bz2 3368281 RMD160 ee0b06d375d1ea91dc26ae96c807918e1d3cb7c8
DIST MesaLib-7.4.1.tar.bz2 3373554 RMD160 6a178359f26f54198e17d22c12f396940abb2b18 SHA1 ee3f8baa48fa31441fc07ccd06734279cb1ca18a SHA256 cba38fc0f6896757cb6e3962d3bb091d3d724a536a213ab9cf6b00a760efc5d2
DIST MesaLib-7.4.2.tar.bz2 3371577 RMD160 e70b8fd203325e676d90485632bf266e39d46a7e SHA1 fe70945ccf2c08d18ae4e83000018f0400352065 SHA256 71b978812cfc0dbc378315de42ef44a32f171b4166733b18455ec04a7fbc6434
DIST MesaLib-7.4.3.tar.bz2 3373106 RMD160 10ddaa327e2acadeae4bbe4221964e29e3ecfab6 SHA1 e8f6ea3ca7784ff7d8e413eb8ca402c90579cc81 SHA256 f8dc9efec4c2d98bb969b458f4017425223bab903cec871d255f7a77b8947c88
+DIST MesaLib-7.4.4.tar.bz2 3375615 RMD160 9c9a5e8b7f8d2fd175cc8542e2aecf48edf8c084 SHA1 1cdcef24900489bc0a879013b2138c0d9aedffe3 SHA256 eaf73d7a3a2dc959ddc0753abaa18160c64bec00b35bf4a0c96040b2072918ec
DIST MesaLib-7.5-rc2.tar.gz 5719904 RMD160 d916d31b762fe2cf2ec35fe390814daa16aa4022 SHA1 6a040f0eccba1e8eb70146deba72ced1e5989e4c SHA256 c239bf494421cc55137f7a2f52b8604fef9dcb06d432d576b9017fab8a428230
DIST mesa-7.3-gentoo-patches-01.tar.bz2 34342 RMD160 547e3d1e8a72cd7df13bf699c181a5f8d36bff33 SHA1 51310d802ad1ee8b660fc7cf77c37b5478f3794a SHA256 e3d27046f73b6fc3d89e06fdfce9d065fa79705f59950b65350fa55bd539e56a
DIST mesa-7.4.1-gentoo-patches-02.tar.bz2 8244 RMD160 ce33e22a3fb599f4602cc724be4436633f0e22b2 SHA1 65edf1dad7572b7769fbbb21b6fc6a17ade4adeb SHA256 eee23efd500024fe03970ada70c8678161e60eef285d6d9e334e0ef157bfd96d
@@ -16,5 +17,6 @@ EBUILD mesa-7.3-r1.ebuild 7283 RMD160 c7fa69e0fb4d1258900668e8e676c704826e86b3 S
EBUILD mesa-7.4.1-r2.ebuild 7954 RMD160 36ea50c17a421d9a0cd1c450c4eeb23889a2e414 SHA1 cb2cce827fdd4f3061933e7bab7a41011704e80d SHA256 fc2cc8ffad870dd99763abff9f18bbedb8bfb7d184ec890e5fce8b193dd0782c
EBUILD mesa-7.4.2.ebuild 7952 RMD160 13b00a3cccaf92df96a0ba0cb671834eb4950394 SHA1 fbe60c3f37fad9a0c46ff9fc1fa35e8759e8de89 SHA256 5ecd3ab15b16c00c12c102cf5825c6d24ce9b8c03c96b0a84e6abea35be6a159
EBUILD mesa-7.4.3.ebuild 7957 RMD160 988cbbec2428801b23910aef534fb22f2f02f03a SHA1 c1f1b6d1067e1fe3273d0d00ff57dceb967ff9a6 SHA256 9538ec3a6cd76988529b963e792e2c43cc04467509247b10092b7e2b6d612ee3
+EBUILD mesa-7.4.4.ebuild 7952 RMD160 5d344897780ffac2973d6096f74fada807107b6d SHA1 67c4575f52cb28c5096308e8490653ba0ec26d4d SHA256 28a93ef912ec32788c8cb0cef24ec7250cdc9820ca711c41bee7b4125a25f9a6
EBUILD mesa-7.5_rc2.ebuild 7796 RMD160 1a06ca81522bd53bc4f24c67f7f2d65175d49ec0 SHA1 5be632da5d688161a6752e68fc8fcb15ce0b9d76 SHA256 c61a31d578bf7f5118ca8769765ce16a43bf94c03c34ceff4a60d2179883d1f3
EBUILD mesa-9999.ebuild 7870 RMD160 897950ca87d9e86aa6a303f4d3ed484911af0567 SHA1 786c2e9bbd287498073374a923e1f156000ec1a4 SHA256 38a6eeb8bc7cb85a6ea9805e2a5c0736d960bbe15f5f88cccfb6fb57ca2aef16
diff --git a/media-libs/mesa/mesa-7.4.4.ebuild b/media-libs/mesa/mesa-7.4.4.ebuild
new file mode 100644
index 000000000..a3506e1fe
--- /dev/null
+++ b/media-libs/mesa/mesa-7.4.4.ebuild
@@ -0,0 +1,276 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.4.4.ebuild,v 1.1 2009/06/24 17:43:44 remi Exp $
+
+EAPI="2"
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
+
+if [[ ${PV} = 9999* ]]; then
+ GIT_ECLASS="git"
+ EXPERIMENTAL="true"
+ IUSE_VIDEO_CARDS_UNSTABLE="video_cards_nouveau"
+ IUSE_UNSTABLE="gallium"
+ # User can also specify branch by simply adding MESA_LIVE_BRANCH="blesmrt"
+ # to the make.conf, where blesmrt is desired branch.
+ [[ -z ${MESA_LIVE_BRANCH} ]] || EGIT_BRANCH="${MESA_LIVE_BRANCH}"
+fi
+
+inherit autotools multilib flag-o-matic ${GIT_ECLASS} portability multilib-native
+
+OPENGL_DIR="xorg-x11"
+
+MY_PN="${PN/m/M}"
+MY_P="${MY_PN}-${PV/_/-}"
+MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
+DESCRIPTION="OpenGL-like graphic library for Linux"
+HOMEPAGE="http://mesa3d.sourceforge.net/"
+
+#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
+if [[ $PV = *_rc* ]]; then
+ SRC_URI="http://www.mesa3d.org/beta/${MY_SRC_P}.tar.gz
+ ${SRC_PATCHES}"
+elif [[ $PV = 9999* ]]; then
+ SRC_URI="${SRC_PATCHES}"
+else
+ SRC_URI="mirror://sourceforge/mesa3d/${MY_SRC_P}.tar.bz2
+ ${SRC_PATCHES}"
+fi
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+IUSE_VIDEO_CARDS="${IUSE_VIDEO_CARDS_UNSTABLE}
+ video_cards_intel
+ video_cards_mach64
+ video_cards_mga
+ video_cards_none
+ video_cards_r128
+ video_cards_radeon
+ video_cards_radeonhd
+ video_cards_s3virge
+ video_cards_savage
+ video_cards_sis
+ video_cards_sunffb
+ video_cards_tdfx
+ video_cards_trident
+ video_cards_via"
+IUSE="${IUSE_VIDEO_CARDS} ${IUSE_UNSTABLE}
+ debug doc motif nptl pic xcb kernel_FreeBSD"
+
+# keep correct libdrm and dri2proto dep
+# keep blocks in rdepend for binpkg
+RDEPEND="!<=x11-base/xorg-x11-6.9
+ !<=x11-proto/xf86driproto-2.0.3
+ app-admin/eselect-opengl
+ dev-libs/expat[lib32?]
+ >=x11-libs/libdrm-2.4.6[lib32?]
+ x11-libs/libICE[lib32?]
+ x11-libs/libX11[xcb?,lib32?]
+ x11-libs/libXdamage[lib32?]
+ x11-libs/libXext[lib32?]
+ x11-libs/libXi[lib32?]
+ x11-libs/libXmu[lib32?]
+ x11-libs/libXxf86vm[lib32?]
+ motif? ( x11-libs/openmotif[lib32?] )
+ doc? ( app-doc/opengl-manpages )
+"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ x11-misc/makedepend
+ >=x11-proto/dri2proto-1.99.3
+ >=x11-proto/glproto-1.4.8
+ x11-proto/inputproto
+ x11-proto/xextproto
+ x11-proto/xf86vidmodeproto
+ x11-proto/xf86driproto
+"
+# glew depend on mesa and it is needed in runtime
+PDEPEND=">=media-libs/glew-1.5.1[lib32?]"
+
+S="${WORKDIR}/${MY_P}"
+
+# Think about: ggi, svga, fbcon, no-X configs
+
+pkg_setup() {
+ if use debug; then
+ append-flags -g
+ fi
+
+ # gcc 4.2 has buggy ivopts
+ if [[ $(gcc-version) = "4.2" ]]; then
+ append-flags -fno-ivopts
+ fi
+
+ # recommended by upstream
+ append-flags -ffast-math
+}
+
+src_unpack() {
+ [[ $PV = 9999* ]] && git_src_unpack || unpack ${A}
+}
+
+src_prepare() {
+ # apply patches
+ if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
+ EPATCH_FORCE="yes" \
+ EPATCH_SOURCE="${WORKDIR}/patches" \
+ EPATCH_SUFFIX="patch" \
+ epatch
+ fi
+ # FreeBSD 6.* doesn't have posix_memalign().
+ [[ ${CHOST} == *-freebsd6.* ]] && \
+ sed -i -e "s/-DHAVE_POSIX_MEMALIGN//" configure.ac
+
+ eautoreconf
+}
+
+multilib-native_src_configure_internal() {
+ local myconf
+
+ # Configurable DRI drivers
+ driver_enable swrast
+ driver_enable video_cards_intel i810 i915 i965
+ driver_enable video_cards_mach64 mach64
+ driver_enable video_cards_mga mga
+ driver_enable video_cards_r128 r128
+ # ATI has two implementations as video_cards
+ driver_enable video_cards_radeon radeon r200 r300
+ driver_enable video_cards_radeonhd r300
+ driver_enable video_cards_s3virge s3v
+ driver_enable video_cards_savage savage
+ driver_enable video_cards_sis sis
+ driver_enable video_cards_sunffb ffb
+ driver_enable video_cards_tdfx tdfx
+ driver_enable video_cards_trident trident
+ driver_enable video_cards_via unichrome
+
+ # all live (experimental) stuff is wrapped around with experimental variable
+ # so the users cant get to this parts even with enabled useflags (downgrade
+ # from live to stable for example)
+ if [[ -n ${EXPERIMENTAL} ]]; then
+ # nouveau works only with gallium and intel, radeon, radeonhd can use
+ # gallium as alternative implementation (NOTE: THIS IS EXPERIMENTAL)
+ if use video_cards_nouveau && ! use gallium ; then
+ elog "Nouveau driver is available only via gallium interface."
+ elog "Enable gallium useflag if you want to use nouveau."
+ echo
+ fi
+ # state trackers, for now enable the one i want
+ # think about this bit more...
+ myconf="${myconf} $(use_enable gallium)"
+ if use gallium; then
+ elog "Warning gallium interface is highly experimental so use"
+ elog "it only if you feel really really brave."
+ elog
+ elog "Intel: works only i915."
+ elog "Nouveau: only available implementation, so no other choice"
+ elog "Radeon: not working, disabled."
+ echo
+ myconf="${myconf}
+ --with-state-trackers=glx,dri,egl
+ $(use_enable video_cards_nouveau gallium-nouveau)
+ $(use_enable video_cards_intel gallium-intel)"
+ #$(use_enable video_cards_radeon gallium-radeon)
+ #$(use_enable video_cards_radeonhd gallium-radeon)"
+ fi
+ fi
+
+ # Deactivate assembly code for pic build
+ # Sparc assembly code is not working
+ myconf="${myconf} $(use_enable !pic asm)"
+ myconf="${myconf} $(use_enable !sparc asm)"
+
+ # --with-driver=dri|xlib|osmesa ; might get changed later to something
+ # else than dri
+ econf \
+ --with-driver=dri \
+ --disable-glut \
+ --without-demos \
+ $(use_enable debug) \
+ $(use_enable motif glw) \
+ $(use_enable motif) \
+ $(use_enable nptl glx-tls) \
+ $(use_enable xcb) \
+ --with-dri-drivers=${DRI_DRIVERS} \
+ ${myconf}
+}
+
+multilib-native_src_install_internal() {
+ dodir /usr
+ emake DESTDIR="${D}" install || die "Installation failed"
+
+ # Remove redundant headers
+ # GLUT thing
+ rm -f "${D}"/usr/include/GL/glut*.h || die "Removing glut include failed."
+ # Glew headers
+ rm -f "${D}"/usr/include/GL/{glew,glxew,wglew}.h \
+ || die "Removing glew includes failed."
+
+ # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
+ # because user can eselect desired GL provider.
+ ebegin "Moving libGL and friends for dynamic switching"
+ dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
+ local x
+ for x in "${D}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
+ if [ -f ${x} -o -L ${x} ]; then
+ mv -f ${x} "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
+ || die "Failed to move ${x}"
+ fi
+ done
+ for x in "${D}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
+ if [ -f ${x} -o -L ${x} ]; then
+ mv -f ${x} "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
+ || die "Failed to move ${x}"
+ fi
+ done
+ eend $?
+
+ # Install libtool archives
+ insinto /usr/$(get_libdir)
+ # Should this use the -L/usr/lib instead of -L/usr/$(get_libdir)?
+ # Please confirm and update this comment or the file.
+ doins "${FILESDIR}"/lib/libGLU.la || die "doins libGLU.la failed"
+ sed -i -e "s:/lib:/$(get_libdir):g" \
+ "${D}"/usr/$(get_libdir)/libGLU.la
+
+ sed \
+ -e "s:\${libdir}:$(get_libdir):g" \
+ "${FILESDIR}"/lib/libGL.la \
+ > "${D}"/usr/$(get_libdir)/opengl/xorg-x11/lib/libGL.la
+
+ # On *BSD libcs dlopen() and similar functions are present directly in
+ # libc.so and does not require linking to libdl. portability eclass takes
+ # care of finding the needed library (if needed) witht the dlopen_lib
+ # function.
+ sed -i \
+ -e 's:-ldl:'$(dlopen_lib)':g' \
+ "${D}"/usr/$(get_libdir)/{libGLU.la,opengl/xorg-x11/lib/libGL.la} \
+ || die "sed dlopen failed"
+}
+
+pkg_postinst() {
+ # Switch to the xorg implementation.
+ echo
+ eselect opengl set --use-old ${OPENGL_DIR}
+}
+
+# $1 - VIDEO_CARDS flag
+# other args - names of DRI drivers to enable
+driver_enable() {
+ case $# in
+ # for enabling unconditionally
+ 1)
+ DRI_DRIVERS="${DRI_DRIVERS},$1"
+ ;;
+ *)
+ if use $1; then
+ shift
+ for i in $@; do
+ DRI_DRIVERS="${DRI_DRIVERS},${i}"
+ done
+ fi
+ ;;
+ esac
+}